Skip to main content

Documentation Index

Fetch the complete documentation index at: https://platform.stepfun.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve information for the current account, including the available balance.

Endpoint

GET https://api.stepfun.ai/v1/accounts

Request parameters

None

Response

  • object string
    Always account
  • type string
    Account type. Possible values: prepaid or postpaid.
  • balance float
    Current available balance.
  • total_cash_balance float
    Total deposited amount.
  • total_voucher_balance float
    Total promotional/bonus amount.

Example

curl --location 'https://api.stepfun.ai/v1/accounts' \
--header 'Authorization: Bearer YOUR_STEPFUN_TOKEN'
Response
{
    "object": "account",
    "type": "prepaid",
    "balance": 0.00,
    "total_cash_balance": 0.00,
    "total_voucher_balance": 26.00
}